Bug 2166 - File lookups replies not the same that XP
File lookups replies not the same that XP
Status: RESOLVED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: File Services
3.0.11
x86 Linux
: P3 normal
: none
Assigned To: Samba Bugzilla Account
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-16 09:37 UTC by Bruno Silva
Modified: 2005-10-13 09:02 UTC (History)
0 users

See Also:


Attachments
smbd log level 10 (18.03 KB, text/plain)
2005-02-18 07:12 UTC, Bruno Silva
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Bruno Silva 2004-12-16 09:37:25 UTC
Hi there,

I use an application that was written in delphi (I do not have the source code),
that can create backup files on network shares (something like
"\\myserver\mybackups") (works well on a XP Pro SP2 share).

But if I try to do it on a Samba share it fails.

The application seems to look first if the file already exists (it will popup a
message box "overwrite..." if true), and that seems to be where it is failing. 

Even on a empty share. The error message says something about permissions and
disk space, but no specific OS error code.

Note: setup and shares not optimized yet, so I do know I have a lot more
permissions that it should be in the future. 

The share where I am trying to save is [softgbak]. I have tried different
settings all day, from very simple settings to what is now. no luck.

samba box name: linuxbox
client name (XP) (also tried on a W98SE, same result): caixa

I have looked at the source, but I don't know enough about windows
behavior/don't have the tools here to tell if windows returns a different packet
near that NT_STATUS_NO_SUCH_FILE message.

Please advise.

Best Regards,
Bruno Silva

Files:
smb.conf
-----------------------
# Global parameters
[global]
	dos charset = 860
	unix charset = ISO8859-15
	workgroup = CAVADAS
	server string = Linux Samba Server %v
	map to guest = Bad User
	username map = /etc/samba/smbusers
	log level = 10 passdb:2 auth:2 winbind:10
	log file = /var/log/samba/log.%m
	max log size = 50
	deadtime = 15
	max disk size = 500
	socket options = TCP_NODELAY SO_RCVBUF=8192 SO_SNDBUF=8192
	preferred master = Yes
	domain master = Yes
	dns proxy = No
	remote announce = 192.168.1.255 192.168.2.44
	hosts allow = 192.168.1.
	preserve case = No
	short preserve case = No

[homes]
	comment = Home Directories
	read only = No
	browseable = No

[netlogon]
	comment = Network Logon Service
	path = /var/lib/samba/netlogon
	guest ok = Yes

[Dados]
	path = /dados
	valid users = utilizador
	force group = users
	read only = No
	create mask = 0777
	guest ok = Yes

[softgbak]
	path = /dados/Segurancas/contabilidades/novos
	valid users = utilizador
	admin users = utilizador
	force group = users
	read only = No
	create mask = 0777
	directory mask = 0777
	guest ok = Yes
	hide dot files = No
	mangled names = No
	oplocks = No
	fstype = FAT
	delete readonly = Yes
-------------


log.caixa
-------------
[2004/12/16 16:15:45, 6] param/loadparm.c:lp_file_list_changed(2689)
  lp_file_list_changed()
  file /etc/samba/smb.conf -> /etc/samba/smb.conf  last mod_time: Thu Dec 16
15:45:22 2004
  
[2004/12/16 16:15:45, 5] smbd/connection.c:claim_connection(170)
  claiming  0
[2004/12/16 16:15:45, 0] lib/util_sock.c:get_peer_addr(1000)
  getpeername failed. Error was Transport endpoint is not connected
[2004/12/16 16:15:45, 5] smbd/reply.c:reply_special(284)
  init msg_type=0x81 msg_flags=0x0
[2004/12/16 16:15:45, 6] lib/util_sock.c:write_socket(449)
  write_socket(22,4)
[2004/12/16 16:15:45, 0] lib/util_sock.c:write_socket_data(430)
  write_socket_data: write failure. Error = Connection reset by peer
[2004/12/16 16:15:45, 6] lib/util_sock.c:write_socket(452)
  write_socket(22,4) wrote -1
[2004/12/16 16:15:45, 0] lib/util_sock.c:write_socket(455)
  write_socket: Error writing 4 bytes to socket 22: ERRNO = Connection reset by peer
[2004/12/16 16:15:45, 0] lib/util_sock.c:send_smb(647)
  Error writing 4 bytes to client. -1. (Connection reset by peer)
[2004/12/16 16:15:45, 3] smbd/sec_ctx.c:set_sec_ctx(288)
  setting sec ctx (0, 0) - sec_ctx_stack_ndx = 0
[2004/12/16 16:15:45, 5] auth/auth_util.c:debug_nt_user_token(486)
  NT user token: (NULL)
[2004/12/16 16:15:45, 5] auth/auth_util.c:debug_unix_user_token(505)
  UNIX token of user 0
  Primary group is 0 and contains 0 supplementary groups
[2004/12/16 16:15:45, 5] smbd/uid.c:change_to_root_user(296)
  change_to_root_user: now uid=(0,0) gid=(0,0)
[2004/12/16 16:15:45, 2] smbd/server.c:exit_server(571)
  Closing connections
[2004/12/16 16:15:45, 3] smbd/connection.c:yield_connection(69)
  Yielding connection to 
[2004/12/16 16:15:45, 5] smbd/oplock.c:receive_local_message(107)
  receive_local_message: doing select with timeout of 1 ms
[2004/12/16 16:15:45, 3] smbd/server.c:exit_server(614)
  Server exit (process_smb: send_smb failed.)
[2004/12/16 16:15:45, 6] param/loadparm.c:lp_file_list_changed(2689)
  lp_file_list_changed()
  file /etc/samba/smb.conf -> /etc/samba/smb.conf  last mod_time: Thu Dec 16
15:45:22 2004
  
[2004/12/16 16:15:45, 4] lib/username.c:map_username(132)
  Scanning username map /etc/samba/smbusers
[2004/12/16 16:15:45, 10] lib/username.c:user_in_list(529)
  user_in_list: checking user utilizador in list
[2004/12/16 16:15:45, 10] lib/username.c:user_in_list(533)
  user_in_list: checking user |utilizador| against |administrator|
[2004/12/16 16:15:45, 10] lib/username.c:user_in_list(533)
  user_in_list: checking user |utilizador| against |SHOPSERVER\\utilizador|
[2004/12/16 16:15:45, 10] lib/username.c:user_in_list(610)
  user_in_list: checking if user |utilizador| is in winbind group
|SHOPSERVER\\utilizador|
[2004/12/16 16:15:45, 10] lib/username.c:user_in_list(533)
  user_in_list: checking user |utilizador| against |CAVADAS\\UTILIZADOR|
[2004/12/16 16:15:45, 10] lib/username.c:user_in_list(610)
  user_in_list: checking if user |utilizador| is in winbind group
|CAVADAS\\UTILIZADOR|
[2004/12/16 16:15:45, 10] lib/username.c:user_in_list(533)
  user_in_list: checking user |utilizador| against |LINUXBOX\\UTILIZADOR|
[2004/12/16 16:15:45, 10] lib/username.c:user_in_list(610)
  user_in_list: checking if user |utilizador| is in winbind group
|LINUXBOX\\UTILIZADOR|
[2004/12/16 16:15:45, 10] lib/username.c:user_in_list(533)
  user_in_list: checking user |utilizador| against |UTILIZADOR|
[2004/12/16 16:15:45, 3] lib/username.c:map_username(173)
  Mapped user utilizador to utilizador
[2004/12/16 16:15:45, 10] lib/username.c:user_in_list(529)
  user_in_list: checking user utilizador in list
[2004/12/16 16:15:45, 10] lib/username.c:user_in_list(533)
  user_in_list: checking user |utilizador| against |guest|
[2004/12/16 16:15:45, 10] lib/username.c:user_in_list(533)
  user_in_list: checking user |utilizador| against |pcguest|
[2004/12/16 16:15:45, 10] lib/username.c:user_in_list(533)
  user_in_list: checking user |utilizador| against |smbguest|
[2004/12/16 16:15:45, 5] lib/util.c:dump_data(1899)
  [000] 70 89 FA BE 3D CF 03 3D                           p...=..= 
[2004/12/16 16:15:45, 8] lib/util.c:is_myname(1719)
  is_myname("LINUXBOX") returns 1
[2004/12/16 16:15:45, 3] smbd/sec_ctx.c:push_sec_ctx(256)
  push_sec_ctx(0, 0) : sec_ctx_stack_ndx = 1
[2004/12/16 16:15:45, 3] smbd/uid.c:push_conn_ctx(365)
  push_conn_ctx(0) : conn_ctx_stack_ndx = 0
[2004/12/16 16:15:45, 3] smbd/sec_ctx.c:set_sec_ctx(288)
  setting sec ctx (0, 0) - sec_ctx_stack_ndx = 1
[2004/12/16 16:15:45, 5] auth/auth_util.c:debug_nt_user_token(486)
  NT user token: (NULL)
[2004/12/16 16:15:45, 5] auth/auth_util.c:debug_unix_user_token(505)
  UNIX token of user 0
  Primary group is 0 and contains 0 supplementary groups
[2004/12/16 16:15:45, 3] smbd/sec_ctx.c:push_sec_ctx(256)
  push_sec_ctx(0, 0) : sec_ctx_stack_ndx = 2
[2004/12/16 16:15:45, 3] smbd/uid.c:push_conn_ctx(365)
  push_conn_ctx(0) : conn_ctx_stack_ndx = 1
[2004/12/16 16:15:45, 3] smbd/sec_ctx.c:set_sec_ctx(288)
  setting sec ctx (0, 0) - sec_ctx_stack_ndx = 2
[2004/12/16 16:15:45, 5] auth/auth_util.c:debug_nt_user_token(486)
  NT user token: (NULL)
[2004/12/16 16:15:45, 5] auth/auth_util.c:debug_unix_user_token(505)
  UNIX token of user 0
  Primary group is 0 and contains 0 supplementary groups
[2004/12/16 16:15:45, 3] smbd/sec_ctx.c:pop_sec_ctx(386)
  pop_sec_ctx (0, 0) - sec_ctx_stack_ndx = 1
[2004/12/16 16:15:45, 4] lib/substitute.c:automount_server(323)
  Home server: linuxbox
[2004/12/16 16:15:45, 4] lib/substitute.c:automount_server(323)
  Home server: linuxbox
[2004/12/16 16:15:45, 3] smbd/sec_ctx.c:pop_sec_ctx(386)
  pop_sec_ctx (0, 0) - sec_ctx_stack_ndx = 0
[2004/12/16 16:15:45, 10] lib/system_smbd.c:sys_getgrouplist(117)
  sys_getgrouplist: user [utilizador]
[2004/12/16 16:15:45, 10] lib/system_smbd.c:sys_getgrouplist(126)
  sys_getgrouplist(): disabled winbindd for group lookup [user == utilizador]
[2004/12/16 16:15:45, 3] smbd/sec_ctx.c:push_sec_ctx(256)
  push_sec_ctx(0, 0) : sec_ctx_stack_ndx = 1
[2004/12/16 16:15:45, 3] smbd/uid.c:push_conn_ctx(365)
  push_conn_ctx(0) : conn_ctx_stack_ndx = 0
[2004/12/16 16:15:45, 3] smbd/sec_ctx.c:set_sec_ctx(288)
  setting sec ctx (0, 0) - sec_ctx_stack_ndx = 1
[2004/12/16 16:15:45, 5] auth/auth_util.c:debug_nt_user_token(486)
  NT user token: (NULL)
[2004/12/16 16:15:45, 5] auth/auth_util.c:debug_unix_user_token(505)
  UNIX token of user 0
  Primary group is 0 and contains 0 supplementary groups
[2004/12/16 16:15:45, 8] lib/util_getent.c:remove_duplicate_gids(330)
  remove_duplicate_gids: Enter 2 gids
[2004/12/16 16:15:45, 8] lib/util_getent.c:remove_duplicate_gids(348)
  remove_duplicate_gids: Exit 1 gids
[2004/12/16 16:15:45, 3] smbd/sec_ctx.c:pop_sec_ctx(386)
  pop_sec_ctx (0, 0) - sec_ctx_stack_ndx = 0
[2004/12/16 16:15:45, 3] smbd/sec_ctx.c:push_sec_ctx(256)
  push_sec_ctx(0, 0) : sec_ctx_stack_ndx = 1
[2004/12/16 16:15:45, 3] smbd/uid.c:push_conn_ctx(365)
  push_conn_ctx(0) : conn_ctx_stack_ndx = 0
[2004/12/16 16:15:45, 3] smbd/sec_ctx.c:set_sec_ctx(288)
  setting sec ctx (0, 0) - sec_ctx_stack_ndx = 1
[2004/12/16 16:15:45, 5] auth/auth_util.c:debug_nt_user_token(486)
  NT user token: (NULL)
[2004/12/16 16:15:45, 5] auth/auth_util.c:debug_unix_user_token(505)
  UNIX token of user 0
  Primary group is 0 and contains 0 supplementary groups
[2004/12/16 16:15:45, 3] smbd/sec_ctx.c:pop_sec_ctx(386)
  pop_sec_ctx (0, 0) - sec_ctx_stack_ndx = 0
[2004/12/16 16:15:45, 10] passdb/lookup_sid.c:gid_to_sid(365)
  gid_to_sid: local 100 -> S-1-5-21-1587537509-489116106-2885195890-1201
[2004/12/16 16:15:45, 3] smbd/sec_ctx.c:push_sec_ctx(256)
  push_sec_ctx(0, 0) : sec_ctx_stack_ndx = 1
[2004/12/16 16:15:45, 3] smbd/uid.c:push_conn_ctx(365)
  push_conn_ctx(0) : conn_ctx_stack_ndx = 0
[2004/12/16 16:15:45, 3] smbd/sec_ctx.c:set_sec_ctx(288)
  setting sec ctx (0, 0) - sec_ctx_stack_ndx = 1
[2004/12/16 16:15:45, 5] auth/auth_util.c:debug_nt_user_token(486)
  NT user token: (NULL)
[2004/12/16 16:15:45, 5] auth/auth_util.c:debug_unix_user_token(505)
  UNIX token of user 0
  Primary group is 0 and contains 0 supplementary groups
[2004/12/16 16:15:45, 3] smbd/sec_ctx.c:pop_sec_ctx(386)
  pop_sec_ctx (0, 0) - sec_ctx_stack_ndx = 0
[2004/12/16 16:15:45, 2] auth/auth.c:check_ntlm_password(305)
  check_ntlm_password:  authentication for user [utilizador] -> [utilizador] ->
[utilizador] succeeded
[2004/12/16 16:15:45, 10] auth/auth_ntlmssp.c:auth_ntlmssp_check_password(117)
  Got NT session key of length 16
[2004/12/16 16:15:45, 10] auth/auth_ntlmssp.c:auth_ntlmssp_check_password(123)
  Got LM session key of length 16
[2004/12/16 16:15:45, 10] libsmb/ntlmssp.c:ntlmssp_server_auth(678)
  ntlmssp_server_auth: Created NTLM2 session key.
[2004/12/16 16:15:45, 3] libsmb/ntlmssp_sign.c:ntlmssp_sign_init(319)
  NTLMSSP Sign/Seal - Initialising with flags:
[2004/12/16 16:15:45, 3] libsmb/ntlmssp.c:debug_ntlmssp_flags(62)
  Got NTLMSSP neg_flags=0x60088215
    NTLMSSP_NEGOTIATE_UNICODE
    NTLMSSP_REQUEST_TARGET
    NTLMSSP_NEGOTIATE_SIGN
    NTLMSSP_NEGOTIATE_NTLM
    NTLMSSP_NEGOTIATE_ALWAYS_SIGN
    NTLMSSP_NEGOTIATE_NTLM2
    NTLMSSP_NEGOTIATE_128
    NTLMSSP_NEGOTIATE_KEY_EXCH
[2004/12/16 16:15:45, 10] smbd/password.c:register_vuid(158)
  register_vuid: allocated vuid = 100
[2004/12/16 16:15:45, 10] smbd/password.c:register_vuid(220)
  register_vuid: (505,100) utilizador utilizador LINUXBOX guest=0
[2004/12/16 16:15:45, 3] smbd/password.c:register_vuid(222)
  User name: utilizador	Real name: Utilizador WIndows
[2004/12/16 16:15:45, 3] smbd/password.c:register_vuid(241)
  UNIX uid 505 is UNIX user utilizador, and will be vuid 100
[2004/12/16 16:15:45, 7] param/loadparm.c:lp_servicenumber(4046)
  lp_servicenumber: couldn't find utilizador
[2004/12/16 16:15:45, 3] smbd/password.c:register_vuid(270)
  Adding homes service for user 'utilizador' using home directory:
'/home/utilizador'
[2004/12/16 16:15:45, 8] param/loadparm.c:add_a_service(2300)
  add_a_service: Creating snum = 6 for utilizador
[2004/12/16 16:15:45, 3] param/loadparm.c:lp_add_home(2341)
  adding home's share [utilizador] for user 'utilizador' at '/home/utilizador'
[2004/12/16 16:15:45, 6] param/loadparm.c:lp_file_list_changed(2689)
  lp_file_list_changed()
  file /etc/samba/smb.conf -> /etc/samba/smb.conf  last mod_time: Thu Dec 16
15:45:22 2004
  
[2004/12/16 16:15:45, 6] lib/util_sock.c:write_socket(449)
  write_socket(22,106)
[2004/12/16 16:15:45, 6] lib/util_sock.c:write_socket(452)
  write_socket(22,106) wrote 106
[2004/12/16 16:15:45, 10] lib/util_sock.c:read_smb_length_return_keepalive(505)
  got smb length of 90
[2004/12/16 16:15:45, 6] smbd/process.c:process_smb(1091)
  got message type 0x0 of len 0x5a
[2004/12/16 16:15:45, 3] smbd/process.c:process_smb(1092)
  Transaction 3 of length 94
[2004/12/16 16:15:45, 5] lib/util.c:show_msg(461)
[2004/12/16 16:15:45, 5] lib/util.c:show_msg(471)
  size=90
  smb_com=0x75
  smb_rcls=0
  smb_reh=0
  smb_err=0
  smb_flg=24
  smb_flg2=51207
  smb_tid=0
  smb_pid=65279
  smb_uid=100
  smb_mid=192
  smt_wct=4
  smb_vwv[ 0]=  255 (0xFF)
  smb_vwv[ 1]=   90 (0x5A)
  smb_vwv[ 2]=    8 (0x8)
  smb_vwv[ 3]=    1 (0x1)
  smb_bcc=47
[2004/12/16 16:15:45, 10] lib/util.c:dump_data(1899)
  [000] 00 5C 00 5C 00 4C 00 49  00 4E 00 55 00 58 00 42  .\.\.L.I .N.U.X.B
  [010] 00 4F 00 58 00 5C 00 53  00 4F 00 46 00 54 00 47  .O.X.\.S .O.F.T.G
  [020] 00 42 00 41 00 4B 00 00  00 3F 3F 3F 3F 3F 00     .B.A.K.. .?????.
[2004/12/16 16:15:45, 3] smbd/process.c:switch_message(887)
  switch message SMBtconX (pid 19484) conn 0x0
[2004/12/16 16:15:45, 3] smbd/sec_ctx.c:set_sec_ctx(288)
  setting sec ctx (0, 0) - sec_ctx_stack_ndx = 0
[2004/12/16 16:15:45, 5] auth/auth_util.c:debug_nt_user_token(486)
  NT user token: (NULL)
[2004/12/16 16:15:45, 5] auth/auth_util.c:debug_unix_user_token(505)
  UNIX token of user 0
  Primary group is 0 and contains 0 supplementary groups
[2004/12/16 16:15:45, 5] smbd/uid.c:change_to_root_user(296)
  change_to_root_user: now uid=(0,0) gid=(0,0)
[2004/12/16 16:15:45, 4] smbd/reply.c:reply_tcon_and_X(408)
  Client requested device type [?????] for share [SOFTGBAK]
[2004/12/16 16:15:45, 5] smbd/service.c:make_connection(813)
  making a connection to 'normal' service softgbak
[2004/12/16 16:15:45, 3] lib/access.c:check_access(313)
  check_access: no hostnames in host allow/deny list.
[2004/12/16 16:15:45, 2] lib/access.c:check_access(324)
  Allowed connection from  (192.168.1.10)
[2004/12/16 16:15:45, 10] lib/username.c:user_in_list(529)
  user_in_list: checking user utilizador in list
[2004/12/16 16:15:45, 10] lib/username.c:user_in_list(533)
  user_in_list: checking user |utilizador| against |utilizador|
[2004/12/16 16:15:45, 5] lib/username.c:Get_Pwnam(293)
  Finding user utilizador
[2004/12/16 16:15:45, 5] lib/username.c:Get_Pwnam_internals(223)
  Trying _Get_Pwnam(), username as lowercase is utilizador
[2004/12/16 16:15:45, 5] lib/username.c:Get_Pwnam_internals(251)
  Get_Pwnam_internals did find user [utilizador]!
[2004/12/16 16:15:45, 3] smbd/service.c:make_connection_snum(455)
  Forced group users
[2004/12/16 16:15:45, 3] smbd/service.c:make_connection_snum(472)
  Connect path is '/dados/Segurancas/contabilidades/novos' for service [softgbak]
[2004/12/16 16:15:45, 3] smbd/sec_ctx.c:push_sec_ctx(256)
  push_sec_ctx(0, 0) : sec_ctx_stack_ndx = 1
[2004/12/16 16:15:45, 3] smbd/uid.c:push_conn_ctx(365)
  push_conn_ctx(0) : conn_ctx_stack_ndx = 0
[2004/12/16 16:15:45, 3] smbd/sec_ctx.c:set_sec_ctx(288)
  setting sec ctx (0, 0) - sec_ctx_stack_ndx = 1
[2004/12/16 16:15:45, 5] auth/auth_util.c:debug_nt_user_token(486)
  NT user token: (NULL)
[2004/12/16 16:15:45, 5] auth/auth_util.c:debug_unix_user_token(505)
  UNIX token of user 0
  Primary group is 0 and contains 0 supplementary groups
[2004/12/16 16:15:45, 3] smbd/sec_ctx.c:get_current_groups(171)
  get_current_groups: user is in 1 groups: 100
[2004/12/16 16:15:45, 3] smbd/sec_ctx.c:pop_sec_ctx(386)
  pop_sec_ctx (0, 0) - sec_ctx_stack_ndx = 0
[2004/12/16 16:15:45, 3] smbd/sec_ctx.c:get_current_groups(171)
  get_current_groups: user is in 1 groups: 100
[2004/12/16 16:15:45, 3] smbd/sec_ctx.c:push_sec_ctx(256)
  push_sec_ctx(0, 0) : sec_ctx_stack_ndx = 1
[2004/12/16 16:15:45, 3] smbd/uid.c:push_conn_ctx(365)
  push_conn_ctx(0) : conn_ctx_stack_ndx = 0
[2004/12/16 16:15:45, 3] smbd/sec_ctx.c:set_sec_ctx(288)
  setting sec ctx (0, 0) - sec_ctx_stack_ndx = 1
[2004/12/16 16:15:45, 5] auth/auth_util.c:debug_nt_user_token(486)
  NT user token: (NULL)
[2004/12/16 16:15:45, 5] auth/auth_util.c:debug_unix_user_token(505)
  UNIX token of user 0
  Primary group is 0 and contains 0 supplementary groups
[2004/12/16 16:15:45, 3] smbd/sec_ctx.c:push_sec_ctx(256)
  push_sec_ctx(0, 0) : sec_ctx_stack_ndx = 2
[2004/12/16 16:15:45, 3] smbd/uid.c:push_conn_ctx(365)
  push_conn_ctx(0) : conn_ctx_stack_ndx = 1
[2004/12/16 16:15:45, 3] smbd/sec_ctx.c:set_sec_ctx(288)
  setting sec ctx (0, 0) - sec_ctx_stack_ndx = 2
[2004/12/16 16:15:45, 5] auth/auth_util.c:debug_nt_user_token(486)
  NT user token: (NULL)
[2004/12/16 16:15:45, 5] auth/auth_util.c:debug_unix_user_token(505)
  UNIX token of user 0
  Primary group is 0 and contains 0 supplementary groups
[2004/12/16 16:15:45, 3] smbd/sec_ctx.c:pop_sec_ctx(386)
  pop_sec_ctx (0, 0) - sec_ctx_stack_ndx = 1
[2004/12/16 16:15:45, 4] lib/substitute.c:automount_server(323)
  Home server: linuxbox
[2004/12/16 16:15:45, 4] lib/substitute.c:automount_server(323)
  Home server: linuxbox
[2004/12/16 16:15:45, 3] smbd/sec_ctx.c:pop_sec_ctx(386)
  pop_sec_ctx (0, 0) - sec_ctx_stack_ndx = 0
[2004/12/16 16:15:45, 10] passdb/lookup_sid.c:uid_to_sid(323)
  uid_to_sid: local 505 -> S-1-5-21-1587537509-489116106-2885195890-2010
[2004/12/16 16:15:45, 3] passdb/lookup_sid.c:fetch_sid_from_gid_cache(226)
  fetch sid from gid cache 100 -> S-1-5-21-1587537509-489116106-2885195890-1201
[2004/12/16 16:15:45, 3] passdb/lookup_sid.c:fetch_sid_from_gid_cache(226)
  fetch sid from gid cache 100 -> S-1-5-21-1587537509-489116106-2885195890-1201
[2004/12/16 16:15:45, 4] rpc_server/srv_srvsvc_nt.c:get_share_security(217)
  get_share_security: using default secdesc for softgbak
[2004/12/16 16:15:45, 10] lib/util_seaccess.c:se_map_generic(176)
  se_map_generic(): mapped mask 0x10000000 to 0x001f01ff
[2004/12/16 16:15:45, 10] lib/util_seaccess.c:se_access_check(234)
  se_access_check: requested access 0x00000002, for NT token with 5 entries and
first sid S-1-5-21-1587537509-489116106-2885195890-2010.
[2004/12/16 16:15:45, 3] lib/util_seaccess.c:se_access_check(251)
[2004/12/16 16:15:45, 3] lib/util_seaccess.c:se_access_check(252)
  se_access_check: user sid is S-1-5-21-1587537509-489116106-2885195890-2010
  se_access_check: also S-1-5-21-1587537509-489116106-2885195890-1201
  se_access_check: also S-1-1-0
  se_access_check: also S-1-5-2
  se_access_check: also S-1-5-11
  se_access_check: ACE 0: type 0, flags = 0x00, SID = S-1-1-0 mask = 101f01ff,
current desired = 2
[2004/12/16 16:15:45, 5] lib/util_seaccess.c:se_access_check(309)
  se_access_check: access (2) granted.
[2004/12/16 16:15:45, 3] smbd/vfs.c:vfs_init_default(203)
  Initialising default vfs hooks
[2004/12/16 16:15:45, 5] smbd/connection.c:claim_connection(170)
  claiming softgbak 0
[2004/12/16 16:15:45, 10] lib/username.c:user_in_list(529)
  user_in_list: checking user utilizador in list
[2004/12/16 16:15:45, 10] lib/username.c:user_in_list(533)
  user_in_list: checking user |utilizador| against |utilizador|
[2004/12/16 16:15:45, 10] smbd/uid.c:is_share_read_only_for_user(99)
  is_share_read_only_for_user: share softgbak is read-write for unix user utilizador
[2004/12/16 16:15:45, 4] rpc_server/srv_srvsvc_nt.c:get_share_security(217)
  get_share_security: using default secdesc for softgbak
[2004/12/16 16:15:45, 10] lib/util_seaccess.c:se_map_generic(176)
  se_map_generic(): mapped mask 0x10000000 to 0x001f01ff
[2004/12/16 16:15:45, 10] lib/util_seaccess.c:se_access_check(234)
  se_access_check: requested access 0x00000002, for NT token with 5 entries and
first sid S-1-5-21-1587537509-489116106-2885195890-2010.
[2004/12/16 16:15:45, 3] lib/util_seaccess.c:se_access_check(251)
[2004/12/16 16:15:45, 3] lib/util_seaccess.c:se_access_check(252)
  se_access_check: user sid is S-1-5-21-1587537509-489116106-2885195890-2010
  se_access_check: also S-1-5-21-1587537509-489116106-2885195890-1201
  se_access_check: also S-1-1-0
  se_access_check: also S-1-5-2
  se_access_check: also S-1-5-11
  se_access_check: ACE 0: type 0, flags = 0x00, SID = S-1-1-0 mask = 101f01ff,
current desired = 2
[2004/12/16 16:15:45, 5] lib/util_seaccess.c:se_access_check(309)
  se_access_check: access (2) granted.
[2004/12/16 16:15:45, 4] rpc_server/srv_srvsvc_nt.c:get_share_security(217)
  get_share_security: using default secdesc for softgbak
[2004/12/16 16:15:45, 10] lib/util_seaccess.c:se_map_generic(176)
  se_map_generic(): mapped mask 0x10000000 to 0x001f01ff
[2004/12/16 16:15:45, 10] lib/util_seaccess.c:se_access_check(234)
  se_access_check: requested access 0x00000002, for NT token with 5 entries and
first sid S-1-5-21-1587537509-489116106-2885195890-2010.
[2004/12/16 16:15:45, 3] lib/util_seaccess.c:se_access_check(251)
[2004/12/16 16:15:45, 3] lib/util_seaccess.c:se_access_check(252)
  se_access_check: user sid is S-1-5-21-1587537509-489116106-2885195890-2010
  se_access_check: also S-1-5-21-1587537509-489116106-2885195890-1201
  se_access_check: also S-1-1-0
  se_access_check: also S-1-5-2
  se_access_check: also S-1-5-11
  se_access_check: ACE 0: type 0, flags = 0x00, SID = S-1-1-0 mask = 101f01ff,
current desired = 2
[2004/12/16 16:15:45, 5] lib/util_seaccess.c:se_access_check(309)
  se_access_check: access (2) granted.
[2004/12/16 16:15:45, 10] lib/username.c:user_in_list(529)
  user_in_list: checking user utilizador in list
[2004/12/16 16:15:45, 10] lib/username.c:user_in_list(533)
  user_in_list: checking user |utilizador| against |utilizador|
[2004/12/16 16:15:45, 3] smbd/sec_ctx.c:push_sec_ctx(256)
  push_sec_ctx(0, 0) : sec_ctx_stack_ndx = 1
[2004/12/16 16:15:45, 3] smbd/uid.c:push_conn_ctx(365)
  push_conn_ctx(0) : conn_ctx_stack_ndx = 0
[2004/12/16 16:15:45, 3] smbd/sec_ctx.c:set_sec_ctx(288)
  setting sec ctx (0, 0) - sec_ctx_stack_ndx = 1
[2004/12/16 16:15:45, 5] auth/auth_util.c:debug_nt_user_token(486)
  NT user token: (NULL)
[2004/12/16 16:15:45, 5] auth/auth_util.c:debug_unix_user_token(505)
  UNIX token of user 0
  Primary group is 0 and contains 0 supplementary groups
[2004/12/16 16:15:45, 3] smbd/sec_ctx.c:push_sec_ctx(256)
  push_sec_ctx(0, 0) : sec_ctx_stack_ndx = 2
[2004/12/16 16:15:45, 3] smbd/uid.c:push_conn_ctx(365)
  push_conn_ctx(0) : conn_ctx_stack_ndx = 1
[2004/12/16 16:15:45, 3] smbd/sec_ctx.c:set_sec_ctx(288)
  setting sec ctx (0, 0) - sec_ctx_stack_ndx = 2
[2004/12/16 16:15:45, 5] auth/auth_util.c:debug_nt_user_token(486)
  NT user token: (NULL)
[2004/12/16 16:15:45, 5] auth/auth_util.c:debug_unix_user_token(505)
  UNIX token of user 0
  Primary group is 0 and contains 0 supplementary groups
[2004/12/16 16:15:45, 3] smbd/sec_ctx.c:pop_sec_ctx(386)
  pop_sec_ctx (0, 0) - sec_ctx_stack_ndx = 1
[2004/12/16 16:15:45, 4] lib/substitute.c:automount_server(323)
  Home server: linuxbox
[2004/12/16 16:15:45, 4] lib/substitute.c:automount_server(323)
  Home server: linuxbox
[2004/12/16 16:15:45, 3] smbd/sec_ctx.c:pop_sec_ctx(386)
  pop_sec_ctx (0, 0) - sec_ctx_stack_ndx = 0
[2004/12/16 16:15:45, 10] passdb/lookup_sid.c:uid_to_sid(323)
  uid_to_sid: local 0 -> S-1-5-21-1587537509-489116106-2885195890-1000
[2004/12/16 16:15:45, 3] passdb/lookup_sid.c:fetch_sid_from_gid_cache(226)
  fetch sid from gid cache 100 -> S-1-5-21-1587537509-489116106-2885195890-1201
[2004/12/16 16:15:45, 3] passdb/lookup_sid.c:fetch_sid_from_gid_cache(226)
  fetch sid from gid cache 100 -> S-1-5-21-1587537509-489116106-2885195890-1201
[2004/12/16 16:15:45, 3] smbd/sec_ctx.c:set_sec_ctx(288)
  setting sec ctx (0, 100) - sec_ctx_stack_ndx = 0
[2004/12/16 16:15:45, 5] auth/auth_util.c:debug_nt_user_token(491)
  NT user token of user S-1-5-21-1587537509-489116106-2885195890-1000
  contains 5 SIDs
  SID[  0]: S-1-5-21-1587537509-489116106-2885195890-1000
  SID[  1]: S-1-5-21-1587537509-489116106-2885195890-1201
  SID[  2]: S-1-1-0
  SID[  3]: S-1-5-2
  SID[  4]: S-1-5-11
[2004/12/16 16:15:45, 5] auth/auth_util.c:debug_unix_user_token(505)
  UNIX token of user 0
  Primary group is 100 and contains 1 supplementary groups
  Group[  0]: 100
[2004/12/16 16:15:45, 5] smbd/uid.c:change_to_user(281)
  change_to_user uid=(0,0) gid=(0,100)
[2004/12/16 16:15:45, 1] smbd/service.c:make_connection_snum(648)
  caixa (192.168.1.10) connect to service softgbak initially as user utilizador
(uid=0, gid=100) (pid 19484)
[2004/12/16 16:15:45, 3] smbd/sec_ctx.c:set_sec_ctx(288)
  setting sec ctx (0, 0) - sec_ctx_stack_ndx = 0
[2004/12/16 16:15:45, 5] auth/auth_util.c:debug_nt_user_token(486)
  NT user token: (NULL)
[2004/12/16 16:15:45, 5] auth/auth_util.c:debug_unix_user_token(505)
  UNIX token of user 0
  Primary group is 0 and contains 0 supplementary groups
[2004/12/16 16:15:45, 5] smbd/uid.c:change_to_root_user(296)
  change_to_root_user: now uid=(0,0) gid=(0,0)
[2004/12/16 16:15:45, 3] smbd/reply.c:reply_tcon_and_X(456)
  tconX service=SOFTGBAK 
[2004/12/16 16:15:45, 5] lib/util.c:show_msg(461)
[2004/12/16 16:15:45, 5] lib/util.c:show_msg(471)
  size=52
  smb_com=0x75
  smb_rcls=0
  smb_reh=0
  smb_err=0
  smb_flg=136
  smb_flg2=51201
  smb_tid=1
  smb_pid=65279
  smb_uid=100
  smb_mid=192
  smt_wct=3
  smb_vwv[ 0]=  255 (0xFF)
  smb_vwv[ 1]=    0 (0x0)
  smb_vwv[ 2]=    1 (0x1)
  smb_bcc=11
[2004/12/16 16:15:45, 10] lib/util.c:dump_data(1899)
  [000] 41 3A 00 46 00 41 00 54  00 00 00                 A:.F.A.T ...
[2004/12/16 16:15:45, 6] lib/util_sock.c:write_socket(449)
  write_socket(22,56)
[2004/12/16 16:15:45, 6] lib/util_sock.c:write_socket(452)
  write_socket(22,56) wrote 56
[2004/12/16 16:15:45, 10] lib/util_sock.c:read_smb_length_return_keepalive(505)
  got smb length of 76
[2004/12/16 16:15:45, 6] smbd/process.c:process_smb(1091)
  got message type 0x0 of len 0x4c
[2004/12/16 16:15:45, 3] smbd/process.c:process_smb(1092)
  Transaction 4 of length 80
[2004/12/16 16:15:45, 5] lib/util.c:show_msg(461)
[2004/12/16 16:15:45, 5] lib/util.c:show_msg(471)
  size=76
  smb_com=0x32
  smb_rcls=0
  smb_reh=0
  smb_err=0
  smb_flg=24
  smb_flg2=51207
  smb_tid=1
  smb_pid=1528
  smb_uid=100
  smb_mid=256
  smt_wct=15
  smb_vwv[ 0]=    8 (0x8)
  smb_vwv[ 1]=    0 (0x0)
  smb_vwv[ 2]=    2 (0x2)
  smb_vwv[ 3]=   40 (0x28)
  smb_vwv[ 4]=    0 (0x0)
  smb_vwv[ 5]=    0 (0x0)
  smb_vwv[ 6]=    0 (0x0)
  smb_vwv[ 7]=    0 (0x0)
  smb_vwv[ 8]=    0 (0x0)
  smb_vwv[ 9]=    8 (0x8)
  smb_vwv[10]=   68 (0x44)
  smb_vwv[11]=    0 (0x0)
  smb_vwv[12]=    0 (0x0)
  smb_vwv[13]=    1 (0x1)
  smb_vwv[14]=    5 (0x5)
  smb_bcc=11
[2004/12/16 16:15:45, 10] lib/util.c:dump_data(1899)
  [000] 01 00 00 EC 03 00 00 00  00 00 00                 ........ ...
[2004/12/16 16:15:45, 3] smbd/process.c:switch_message(887)
  switch message SMBtrans2 (pid 19484) conn 0x838f6f0
[2004/12/16 16:15:45, 3] passdb/lookup_sid.c:fetch_sid_from_uid_cache(152)
  fetch sid from uid cache 0 -> S-1-5-21-1587537509-489116106-2885195890-1000
[2004/12/16 16:15:45, 3] passdb/lookup_sid.c:fetch_sid_from_gid_cache(226)
  fetch sid from gid cache 100 -> S-1-5-21-1587537509-489116106-2885195890-1201
[2004/12/16 16:15:45, 3] passdb/lookup_sid.c:fetch_sid_from_gid_cache(226)
  fetch sid from gid cache 100 -> S-1-5-21-1587537509-489116106-2885195890-1201
[2004/12/16 16:15:45, 3] smbd/sec_ctx.c:set_sec_ctx(288)
  setting sec ctx (0, 100) - sec_ctx_stack_ndx = 0
[2004/12/16 16:15:45, 5] auth/auth_util.c:debug_nt_user_token(491)
  NT user token of user S-1-5-21-1587537509-489116106-2885195890-1000
  contains 5 SIDs
  SID[  0]: S-1-5-21-1587537509-489116106-2885195890-1000
  SID[  1]: S-1-5-21-1587537509-489116106-2885195890-1201
  SID[  2]: S-1-1-0
  SID[  3]: S-1-5-2
  SID[  4]: S-1-5-11
[2004/12/16 16:15:45, 5] auth/auth_util.c:debug_unix_user_token(505)
  UNIX token of user 0
  Primary group is 100 and contains 1 supplementary groups
  Group[  0]: 100
[2004/12/16 16:15:45, 5] smbd/uid.c:change_to_user(281)
  change_to_user uid=(0,0) gid=(0,100)
[2004/12/16 16:15:45, 4] smbd/vfs.c:vfs_ChDir(654)
  vfs_ChDir to /dados/Segurancas/contabilidades/novos
[2004/12/16 16:15:45, 3] smbd/trans2.c:call_trans2qfilepathinfo(2346)
  call_trans2qfilepathinfo: TRANSACT2_QPATHINFO: level = 1004
[2004/12/16 16:15:45, 5] smbd/filename.c:unix_convert(108)
  unix_convert called on file ""
[2004/12/16 16:15:45, 5] smbd/filename.c:unix_convert(137)
  conversion finished "" -> .
[2004/12/16 16:15:45, 3] smbd/trans2.c:call_trans2qfilepathinfo(2380)
  call_trans2qfilepathinfo . (fnum = -1) level=1004 call=5 total_data=0
[2004/12/16 16:15:45, 8] smbd/dosmode.c:dos_mode(283)
  dos_mode: .
[2004/12/16 16:15:45, 8] smbd/dosmode.c:dos_mode_from_sbuf(151)
  dos_mode_from_sbuf returning d
[2004/12/16 16:15:45, 8] smbd/dosmode.c:dos_mode(315)
  dos_mode returning d
[2004/12/16 16:15:45, 10] smbd/trans2.c:call_trans2qfilepathinfo(2496)
  call_trans2qfilepathinfo: SMB_FILE_BASIC_INFORMATION
[2004/12/16 16:15:45, 5] smbd/trans2.c:call_trans2qfilepathinfo(2506)
  SMB_QFBI - create: Thu Dec 16 15:42:53 2004
   access: Thu Dec 16 16:14:38 2004
   write: Thu Dec 16 15:42:53 2004
   change: Thu Dec 16 15:42:53 2004
   mode: 10
[2004/12/16 16:15:45, 9] smbd/trans2.c:send_trans2_replies(557)
  t2_rep: params_sent_thistime = 2, data_sent_thistime = 40, useable_space = 131010
[2004/12/16 16:15:45, 9] smbd/trans2.c:send_trans2_replies(559)
  t2_rep: params_to_send = 2, data_to_send = 40, paramsize = 2, datasize = 40
[2004/12/16 16:15:45, 6] lib/util_sock.c:write_socket(449)
  write_socket(22,104)
[2004/12/16 16:15:45, 6] lib/util_sock.c:write_socket(452)
  write_socket(22,104) wrote 104
[2004/12/16 16:15:45, 10] lib/util_sock.c:read_smb_length_return_keepalive(505)
  got smb length of 152
[2004/12/16 16:15:45, 6] smbd/process.c:process_smb(1091)
  got message type 0x0 of len 0x98
[2004/12/16 16:15:45, 3] smbd/process.c:process_smb(1092)
  Transaction 5 of length 156
[2004/12/16 16:15:45, 5] lib/util.c:show_msg(461)
[2004/12/16 16:15:45, 5] lib/util.c:show_msg(471)
  size=152
  smb_com=0x32
  smb_rcls=0
  smb_reh=0
  smb_err=0
  smb_flg=24
  smb_flg2=51207
  smb_tid=1
  smb_pid=1528
  smb_uid=100
  smb_mid=320
  smt_wct=15
  smb_vwv[ 0]=   84 (0x54)
  smb_vwv[ 1]=    0 (0x0)
  smb_vwv[ 2]=   10 (0xA)
  smb_vwv[ 3]=16384 (0x4000)
  smb_vwv[ 4]=    0 (0x0)
  smb_vwv[ 5]=    0 (0x0)
  smb_vwv[ 6]=    0 (0x0)
  smb_vwv[ 7]=    0 (0x0)
  smb_vwv[ 8]=    0 (0x0)
  smb_vwv[ 9]=   84 (0x54)
  smb_vwv[10]=   68 (0x44)
  smb_vwv[11]=    0 (0x0)
  smb_vwv[12]=    0 (0x0)
  smb_vwv[13]=    1 (0x1)
  smb_vwv[14]=    1 (0x1)
  smb_bcc=87
[2004/12/16 16:15:45, 10] lib/util.c:dump_data(1899)
  [000] 00 00 00 16 00 56 05 07  00 04 01 00 00 00 00 5C  .....V.. .......\
  [010] 00 53 00 6F 00 66 00 74  00 47 00 43 00 6F 00 6D  .S.o.f.t .G.C.o.m
  [020] 00 65 00 72 00 63 00 69  00 61 00 6C 00 41 00 73  .e.r.c.i .a.l.A.s
  [030] 00 73 00 32 00 30 00 30  00 34 00 31 00 32 00 31  .s.2.0.0 .4.1.2.1
  [040] 00 36 00 5F 00 31 00 36  00 31 00 34 00 2E 00 7A  .6._.1.6 .1.4...z
  [050] 00 62 00 6B 00 00 00                              .b.k... 
[2004/12/16 16:15:45, 3] smbd/process.c:switch_message(887)
  switch message SMBtrans2 (pid 19484) conn 0x838f6f0
[2004/12/16 16:15:45, 3] passdb/lookup_sid.c:fetch_sid_from_uid_cache(152)
  fetch sid from uid cache 0 -> S-1-5-21-1587537509-489116106-2885195890-1000
[2004/12/16 16:15:45, 3] passdb/lookup_sid.c:fetch_sid_from_gid_cache(226)
  fetch sid from gid cache 100 -> S-1-5-21-1587537509-489116106-2885195890-1201
[2004/12/16 16:15:45, 3] passdb/lookup_sid.c:fetch_sid_from_gid_cache(226)
  fetch sid from gid cache 100 -> S-1-5-21-1587537509-489116106-2885195890-1201
[2004/12/16 16:15:45, 3] smbd/sec_ctx.c:set_sec_ctx(288)
  setting sec ctx (0, 100) - sec_ctx_stack_ndx = 0
[2004/12/16 16:15:45, 5] auth/auth_util.c:debug_nt_user_token(491)
  NT user token of user S-1-5-21-1587537509-489116106-2885195890-1000
  contains 5 SIDs
  SID[  0]: S-1-5-21-1587537509-489116106-2885195890-1000
  SID[  1]: S-1-5-21-1587537509-489116106-2885195890-1201
  SID[  2]: S-1-1-0
  SID[  3]: S-1-5-2
  SID[  4]: S-1-5-11
[2004/12/16 16:15:45, 5] auth/auth_util.c:debug_unix_user_token(505)
  UNIX token of user 0
  Primary group is 100 and contains 1 supplementary groups
  Group[  0]: 100
[2004/12/16 16:15:45, 5] smbd/uid.c:change_to_user(281)
  change_to_user uid=(0,0) gid=(0,100)
[2004/12/16 16:15:45, 3] smbd/trans2.c:call_trans2findfirst(1359)
  call_trans2findfirst: dirtype = 22, maxentries = 1366, close_after_first=1,
close_if_end = 1 requires_resume_key = 1 level = 0x104, max_data_bytes = 16384
[2004/12/16 16:15:45, 5] smbd/filename.c:unix_convert(108)
  unix_convert called on file "SoftGComercialAss20041216_1614.zbk"
[2004/12/16 16:15:45, 10] smbd/statcache.c:stat_cache_lookup(210)
  stat_cache_lookup: lookup failed for name [SOFTGCOMERCIALASS20041216_1614.ZBK]
[2004/12/16 16:15:45, 5] smbd/filename.c:unix_convert(179)
  unix_convert begin: name = softgcomercialass20041216_1614.zbk, dirpath = ,
start = softgcomercialass20041216_1614.zbk
[2004/12/16 16:15:45, 10] smbd/mangle_hash2.c:is_mangled(270)
  is_mangled softgcomercialass20041216_1614.zbk ?
[2004/12/16 16:15:45, 10] smbd/mangle_hash2.c:is_mangled_component(209)
  is_mangled_component softgcomercialass20041216_1614.zbk (len 34) ?
[2004/12/16 16:15:45, 10] smbd/mangle_hash2.c:is_mangled(270)
  is_mangled softgcomercialass20041216_1614.zbk ?
[2004/12/16 16:15:45, 10] smbd/mangle_hash2.c:is_mangled_component(209)
  is_mangled_component softgcomercialass20041216_1614.zbk (len 34) ?
[2004/12/16 16:15:45, 10] smbd/mangle_hash2.c:is_mangled(270)
  is_mangled softgcomercialass20041216_1614.zbk ?
[2004/12/16 16:15:45, 10] smbd/mangle_hash2.c:is_mangled_component(209)
  is_mangled_component softgcomercialass20041216_1614.zbk (len 34) ?
[2004/12/16 16:15:45, 5] smbd/filename.c:unix_convert(328)
  New file softgcomercialass20041216_1614.zbk
[2004/12/16 16:15:45, 5] smbd/trans2.c:call_trans2findfirst(1412)
  dir=./, mask = softgcomercialass20041216_1614.zbk
[2004/12/16 16:15:45, 5] smbd/dir.c:start_dir(334)
  start_dir dir=./
[2004/12/16 16:15:45, 3] smbd/dir.c:dptr_create(491)
  creating new dirptr 256 for path ./, expect_close = 1
[2004/12/16 16:15:45, 4] smbd/trans2.c:call_trans2findfirst(1442)
  dptr_num is 256, wcard = softgcomercialass20041216_1614.zbk, attr = 22
[2004/12/16 16:15:45, 8] smbd/trans2.c:call_trans2findfirst(1447)
  dirpath=<./> dontdescend=<>
[2004/12/16 16:15:45, 8] smbd/trans2.c:get_lanman2_dir_entry(883)
  get_lanman2_dir_entry:readdir on dirptr 0x838c430 now at offset 1
[2004/12/16 16:15:45, 8] smbd/trans2.c:get_lanman2_dir_entry(883)
  get_lanman2_dir_entry:readdir on dirptr 0x838c430 now at offset 2
[2004/12/16 16:15:45, 8] smbd/trans2.c:get_lanman2_dir_entry(883)
  get_lanman2_dir_entry:readdir on dirptr 0x838c430 now at offset 2
[2004/12/16 16:15:45, 5] smbd/trans2.c:call_trans2findfirst(1493)
  call_trans2findfirst - (2) closing dptr_num 256
[2004/12/16 16:15:45, 4] smbd/dir.c:dptr_close_internal(224)
  closing dptr key 256
[2004/12/16 16:15:45, 3] smbd/error.c:error_packet(105)
  error string = No such file or directory
[2004/12/16 16:15:45, 3] smbd/error.c:error_packet(129)
  error packet at smbd/trans2.c(1504) cmd=50 (SMBtrans2) NT_STATUS_NO_SUCH_FILE
[2004/12/16 16:15:45, 5] lib/util.c:show_msg(461)
[2004/12/16 16:15:45, 5] lib/util.c:show_msg(471)
  size=35
  smb_com=0x32
  smb_rcls=15
  smb_reh=0
  smb_err=49152
  smb_flg=136
  smb_flg2=51265
  smb_tid=1
  smb_pid=1528
  smb_uid=100
  smb_mid=320
  smt_wct=0
  smb_bcc=0
[2004/12/16 16:15:45, 6] lib/util_sock.c:write_socket(449)
  write_socket(22,39)
[2004/12/16 16:15:45, 6] lib/util_sock.c:write_socket(452)
  write_socket(22,39) wrote 39
[2004/12/16 16:15:55, 10] lib/util_sock.c:read_smb_length_return_keepalive(505)
  got smb length of 39
[2004/12/16 16:15:55, 6] smbd/process.c:process_smb(1091)
  got message type 0x0 of len 0x27
[2004/12/16 16:15:55, 3] smbd/process.c:process_smb(1092)
  Transaction 6 of length 43
[2004/12/16 16:15:55, 5] lib/util.c:show_msg(461)
[2004/12/16 16:15:55, 5] lib/util.c:show_msg(471)
  size=39
  smb_com=0x74
  smb_rcls=0
  smb_reh=0
  smb_err=0
  smb_flg=24
  smb_flg2=51207
  smb_tid=0
  smb_pid=65279
  smb_uid=100
  smb_mid=384
  smt_wct=2
  smb_vwv[ 0]=  255 (0xFF)
  smb_vwv[ 1]=    0 (0x0)
  smb_bcc=0
[2004/12/16 16:15:55, 3] smbd/process.c:switch_message(887)
  switch message SMBulogoffX (pid 19484) conn 0x0
[2004/12/16 16:15:55, 3] smbd/sec_ctx.c:set_sec_ctx(288)
  setting sec ctx (0, 0) - sec_ctx_stack_ndx = 0
[2004/12/16 16:15:55, 5] auth/auth_util.c:debug_nt_user_token(486)
  NT user token: (NULL)
[2004/12/16 16:15:55, 5] auth/auth_util.c:debug_unix_user_token(505)
  UNIX token of user 0
  Primary group is 0 and contains 0 supplementary groups
[2004/12/16 16:15:55, 5] smbd/uid.c:change_to_root_user(296)
  change_to_root_user: now uid=(0,0) gid=(0,0)
[2004/12/16 16:15:55, 3] smbd/reply.c:reply_ulogoffX(1249)
  ulogoffX vuid=100
[2004/12/16 16:15:55, 5] lib/util.c:show_msg(461)
[2004/12/16 16:15:55, 5] lib/util.c:show_msg(471)
  size=39
  smb_com=0x74
  smb_rcls=0
  smb_reh=0
  smb_err=0
  smb_flg=136
  smb_flg2=51201
  smb_tid=0
  smb_pid=65279
  smb_uid=100
  smb_mid=384
  smt_wct=2
  smb_vwv[ 0]=  255 (0xFF)
  smb_vwv[ 1]=    0 (0x0)
  smb_bcc=0
[2004/12/16 16:15:55, 6] lib/util_sock.c:write_socket(449)
  write_socket(22,43)
[2004/12/16 16:15:55, 6] lib/util_sock.c:write_socket(452)
  write_socket(22,43) wrote 43
[2004/12/16 16:15:55, 10] lib/util_sock.c:read_smb_length_return_keepalive(505)
  got smb length of 35
[2004/12/16 16:15:55, 6] smbd/process.c:process_smb(1091)
  got message type 0x0 of len 0x23
[2004/12/16 16:15:55, 3] smbd/process.c:process_smb(1092)
  Transaction 7 of length 39
[2004/12/16 16:15:55, 5] lib/util.c:show_msg(461)
[2004/12/16 16:15:55, 5] lib/util.c:show_msg(471)
  size=35
  smb_com=0x71
  smb_rcls=0
  smb_reh=0
  smb_err=0
  smb_flg=24
  smb_flg2=51207
  smb_tid=1
  smb_pid=65279
  smb_uid=100
  smb_mid=448
  smt_wct=0
  smb_bcc=0
[2004/12/16 16:15:55, 3] smbd/process.c:switch_message(887)
  switch message SMBtdis (pid 19484) conn 0x838f6f0
[2004/12/16 16:15:55, 3] smbd/sec_ctx.c:set_sec_ctx(288)
  setting sec ctx (0, 0) - sec_ctx_stack_ndx = 0
[2004/12/16 16:15:55, 5] auth/auth_util.c:debug_nt_user_token(486)
  NT user token: (NULL)
[2004/12/16 16:15:55, 5] auth/auth_util.c:debug_unix_user_token(505)
  UNIX token of user 0
  Primary group is 0 and contains 0 supplementary groups
[2004/12/16 16:15:55, 5] smbd/uid.c:change_to_root_user(296)
  change_to_root_user: now uid=(0,0) gid=(0,0)
[2004/12/16 16:15:55, 3] smbd/sec_ctx.c:set_sec_ctx(288)
  setting sec ctx (0, 0) - sec_ctx_stack_ndx = 0
[2004/12/16 16:15:55, 5] auth/auth_util.c:debug_nt_user_token(486)
  NT user token: (NULL)
[2004/12/16 16:15:55, 5] auth/auth_util.c:debug_unix_user_token(505)
  UNIX token of user 0
  Primary group is 0 and contains 0 supplementary groups
[2004/12/16 16:15:55, 5] smbd/uid.c:change_to_root_user(296)
  change_to_root_user: now uid=(0,0) gid=(0,0)
[2004/12/16 16:15:55, 1] smbd/service.c:close_cnum(836)
  caixa (192.168.1.10) closed connection to service softgbak
[2004/12/16 16:15:55, 3] smbd/connection.c:yield_connection(69)
  Yielding connection to softgbak
[2004/12/16 16:15:55, 4] smbd/vfs.c:vfs_ChDir(654)
  vfs_ChDir to /
[2004/12/16 16:15:55, 3] smbd/sec_ctx.c:set_sec_ctx(288)
  setting sec ctx (0, 0) - sec_ctx_stack_ndx = 0
[2004/12/16 16:15:55, 5] auth/auth_util.c:debug_nt_user_token(486)
  NT user token: (NULL)
[2004/12/16 16:15:55, 5] auth/auth_util.c:debug_unix_user_token(505)
  UNIX token of user 0
  Primary group is 0 and contains 0 supplementary groups
[2004/12/16 16:15:55, 5] smbd/uid.c:change_to_root_user(296)
  change_to_root_user: now uid=(0,0) gid=(0,0)
[2004/12/16 16:15:55, 5] lib/util.c:show_msg(461)
[2004/12/16 16:15:55, 5] lib/util.c:show_msg(471)
  size=35
  smb_com=0x71
  smb_rcls=0
  smb_reh=0
  smb_err=0
  smb_flg=136
  smb_flg2=51201
  smb_tid=1
  smb_pid=65279
  smb_uid=100
  smb_mid=448
  smt_wct=0
  smb_bcc=0
[2004/12/16 16:15:55, 6] lib/util_sock.c:write_socket(449)
  write_socket(22,39)
[2004/12/16 16:15:55, 6] lib/util_sock.c:write_socket(452)
  write_socket(22,39) wrote 39
[2004/12/16 16:15:55, 10] lib/util_sock.c:read_socket_data(378)
  read_socket_data: recv of 4 returned 0. Error = Success
[2004/12/16 16:15:55, 10] lib/util_sock.c:receive_smb_raw(556)
  receive_smb_raw: length < 0!
[2004/12/16 16:15:55, 3] smbd/process.c:timeout_processing(1337)
  timeout_processing: End of file from client (client has disconnected).
[2004/12/16 16:15:55, 5] lib/gencache.c:gencache_shutdown(88)
  Closing cache file
[2004/12/16 16:15:55, 5] libsmb/namecache.c:namecache_shutdown(79)
  namecache_shutdown: netbios namecache closed successfully.
[2004/12/16 16:15:55, 3] smbd/sec_ctx.c:set_sec_ctx(288)
  setting sec ctx (0, 0) - sec_ctx_stack_ndx = 0
[2004/12/16 16:15:55, 5] auth/auth_util.c:debug_nt_user_token(486)
  NT user token: (NULL)
[2004/12/16 16:15:55, 5] auth/auth_util.c:debug_unix_user_token(505)
  UNIX token of user 0
  Primary group is 0 and contains 0 supplementary groups
[2004/12/16 16:15:55, 5] smbd/uid.c:change_to_root_user(296)
  change_to_root_user: now uid=(0,0) gid=(0,0)
[2004/12/16 16:15:55, 2] smbd/server.c:exit_server(571)
  Closing connections
[2004/12/16 16:15:55, 3] smbd/connection.c:yield_connection(69)
  Yielding connection to 
[2004/12/16 16:15:55, 3] smbd/connection.c:yield_connection(76)
  yield_connection: tdb_delete for name  failed with error Record does not exist.
[2004/12/16 16:15:55, 5] smbd/oplock.c:receive_local_message(107)
  receive_local_message: doing select with timeout of 1 ms
[2004/12/16 16:15:55, 3] smbd/server.c:exit_server(614)
  Server exit (normal exit)
------------------------
Comment 1 Gerald (Jerry) Carter 2005-02-17 10:24:43 UTC
please retest against 3.0.11 and reopen if neccessary.
Comment 2 Bruno Silva 2005-02-18 07:12:15 UTC
Created attachment 973 [details]
smbd log level 10

still same behaviour as with .9 version.
Comment 3 Bruno Silva 2005-02-18 07:18:02 UTC
Not saving to the same share, but to  
\\linuxbox\dados\Segurancas\contabilidades .   
As requested, tested again to see if it works with .11  
(samba-server-3.0.11-1mdk), but it looks like it still gives the same answer  
to the windows client.  
 
Please let me know how I can provide more useful information, I would be glad 
to help. 
Comment 4 Gerald (Jerry) Carter 2005-10-13 09:02:20 UTC
ok.  I've gone through the log file and don't see anhything 
immediately apparent.  Could you retest against 3.0.20b.
There's been a substancial amount of work on error codes.
Could be related.

Please reopen if the bug still exists and I think we'll probably 
need an ethereal trace of the program working against a Windows 2000
server and failing against Samba.  Thanks.